edu.ucsb.nceas.metacat.admin

## Class SolrVersionChecker

- java.lang.Object
- - edu.ucsb.nceas.metacat.admin.SolrVersionChecker

-     public class SolrVersionChecker
      extends java.lang.Object

  This class will check if the given solr home directory is for an embedded solr server which is used in the earlier Metacat versions. From Metacat 2.9.0, we have migrated the solr server from embedded to http. For the new http server, we like it to have a new solr home. This class will check if the given solr home is still the old one.
  Author:
    tao

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrVersionChecker()` Default constructor to initialize the parser factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isVersion_3_4(java.lang.String solrHome)` Check if given the solr home is for Lucene version 3.4.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrVersionChecker

          public SolrVersionChecker()
                             throws javax.xml.parsers.ParserConfigurationException

      Default constructor to initialize the parser factory.
      Throws:
        `javax.xml.parsers.ParserConfigurationException`

  - ### Method Detail

    - #### isVersion_3_4

          public boolean isVersion_3_4(java.lang.String solrHome)
                                throws org.xml.sax.SAXException,
                                       java.io.IOException,
                                       javax.xml.transform.TransformerException

      Check if given the solr home is for Lucene version 3.4.
      Parameters:
        `solrHome` - the solr home will be checked
      Returns:
        true if it is for Lucene; otherwise false.
      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`
        `javax.xml.transform.TransformerException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.